[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.Cosmetic

Whether the Pen is Cosmetic, ie non-geometric

## Declaration

Source position: graphics.pp line 641

`published property TPen.Cosmetic: Boolean read FCosmetic write SetCosmetic default true;`

## Description

Pens can be Cosmetic and Geomeric. Cosmetic pens are always 1 pixel wide, while geometric pens can have any width. But width of geometric pens are defined in world units and thus depends on transforms (scaling, rotation, shear, reflection) applied to canvas. Operations with cosmetic pens are faster.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.